Bug 1876741 - Helm charts with kubeVersion restriction are filtered from Developer Catalog
Summary: Helm charts with kubeVersion restriction are filtered from Developer Catalog
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.6.0
Assignee: cvogt
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-08 06:07 UTC by morstad
Modified: 2020-09-15 03:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.nightly-2020-09-03-152603 Cluster ID: dc380fcc-216b-4b2a-a3ee-a9c3063bda60 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/85.0.4183.83 Safari/537.36
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6550 None closed Bug 1876741: undo filtering of incompatible helm charts 2020-09-11 12:45:50 UTC

Description morstad 2020-09-08 06:07:08 UTC
Description of problem:
All Helm charts with a min kubeVersion specified (even if support pre-releases) in Chart.yaml are filtered from Developer Catalog. 

Examples filtered from redhat-helm-charts repo :

1) ibm-cpq-prod which has following in Chart.yaml
    
   kubeVersion: '>=1.11.0'

2) ibm-operator-catalog-enblement which has following in Chart.yaml

   kubeVersion: '>=1.17.1-0'


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Log into OCP 4.6 cluster
2. Switch to Developer Catalog
3. Click '+Add'
4. Click 'Helm Chart' tile

Actual results:
Only 2 helm charts appear (Nodejs & IBM Object Storage Plugin) - both don't contain min kube version, rest are filtered


Expected results:
All 6 helm charts in the redhat-helm-charts repo should be available for install : nodejs-ex-k, ibm-object-storage-plugin, ibm-cpq-prod, ibm-oms-ent-prod, ibm-oms-pro-prod, & ibm-operator-catalog-enablement

Additional info:


Note You need to log in before you can comment on or make changes to this bug.